[workspace]
members = ["crates/qroissant-core", "crates/qroissant-kernels", "crates/qroissant-arrow", "crates/qroissant-transport", "crates/qroissant-python"]
resolver = "3"

[workspace.package]
version = "0.3.1"
edition = "2024"
license = "Apache-2.0"
repository = "https://github.com/qroissant/qroissant"

[profile.release]
lto = "fat"
codegen-units = 1
opt-level = 3

[workspace.dependencies]
pyo3 = "0.28.2"
tokio = { version = "1.48.0", features = [
    "io-util",
    "net",
    "rt-multi-thread",
    "sync",
    "time",
    "macros",
] }
futures = "0.3"
